Bug 219261 - math/CoinMP: add a FORTRAN option
Summary: math/CoinMP: add a FORTRAN option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-13 19:37 UTC by Pedro F. Giffuni
Modified: 2018-02-08 14:41 UTC (History)
1 user (show)

See Also:
cpm: maintainer-feedback+


Attachments
coinmp - add fortran option (1.37 KB, patch)
2017-05-13 19:37 UTC, Pedro F. Giffuni
cpm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2017-05-13 19:37:04 UTC
Created attachment 182573 [details]
coinmp - add fortran option

Add a FORTRAN option, so that it is possible to build CoinMP with blas and lapack.

The resulting package is faster, however leave the option off as it wwoiuld cause linking issues for OpenOffice and/or other packages.

This obviates the need for an independent math/clp port.

Clean the test target while here.
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-02-07 14:00:15 UTC
Feedback please.
Comment 2 Carlos J. Puga Medina freebsd_committer 2018-02-07 23:19:15 UTC
(In reply to Pedro F. Giffuni from comment #0)

Approved. Feel free to commit the patch.
Comment 3 commit-hook freebsd_committer 2018-02-08 01:14:13 UTC
A commit references this bug:

Author: pfg
Date: Thu Feb  8 01:13:21 UTC 2018
New revision: 461195
URL: https://svnweb.freebsd.org/changeset/ports/461195

Log:
  math/coinmp: Add an option for Fortran.

  It can be convenient for performance to enable blas/lapack, which
  necessarilly involves using the fortran interface. Leave it OFF by
  default since it can interfere with some important consumers like
  Apache OpenOffice.

  Use the standard TEST_TARGET while here.

  No need to bump the portversion as this doesn't affect the package.

  PR:		219261
  Approved by:	cpm

Changes:
  head/math/coinmp/Makefile
Comment 4 Pedro F. Giffuni freebsd_committer 2018-02-08 01:20:04 UTC
Committed ... thanks!
Comment 5 commit-hook freebsd_committer 2018-02-08 14:41:47 UTC
A commit references this bug:

Author: pfg
Date: Thu Feb  8 14:41:23 UTC 2018
New revision: 461242
URL: https://svnweb.freebsd.org/changeset/ports/461242

Log:
  math/coinmp: Fix description for FORTRAN option.

  Typo introduced in previous commit.

  PR:		219261
  Approved by:	cpm (implicit)

Changes:
  head/math/coinmp/Makefile